Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Deployement of RAP with BIRT
Deployement of RAP with BIRT [message #138618] Mon, 29 June 2009 15:28 Go to next message
Emmanuel Marchal is currently offline Emmanuel MarchalFriend
Messages: 59
Registered: July 2009
Member
Hi all,

I have integrated some BIRT reports in my application and it looks very
very good.

But unfortunately I am not able to export my application on Tomcat anymore.
I have updated my feature project to include all required bundles for BIRT
and also updated the config.ini

Here follow the errors at deployment.

Thanks for your help

eclipse.buildId=unknown
java.version=1.6.0_13
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments: -console -consolelog

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:25.845
!MESSAGE Error starting bundle:
initial@reference:file:plugins/org.eclipse.birt.api_1.0.0.jar/
!STACK 0
org.osgi.framework.BundleException: A fragment bundle cannot be started:
org.eclipse.birt.api_1.0.0 [22]
at
org.eclipse.osgi.framework.internal.core.BundleFragment.star tWorker(BundleFragment.java:228)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:280)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.startBundle( EclipseStarter.java:1128)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.startBundles (EclipseStarter.java:1121)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.loadBasicBun dles(EclipseStarter.java:640)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.startup(Ecli pseStarter.java:301)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.eclipse.equinox.servletbridge.FrameworkLauncher.start(Fr ameworkLauncher.java:288)
at
org.eclipse.equinox.servletbridge.BridgeServlet.init(BridgeS ervlet.java:65)
at javax.servlet.GenericServlet.init(GenericServlet.java:212)
at
org.apache.catalina.core.StandardWrapper.loadServlet(Standar dWrapper.java:1172)
at org.apache.catalina.core.StandardWrapper.load(StandardWrappe r.java:992)
at
org.apache.catalina.core.StandardContext.loadOnStartup(Stand ardContext.java:4058)
at
org.apache.catalina.core.StandardContext.start(StandardConte xt.java:4371)
at
org.apache.catalina.core.ContainerBase.addChildInternal(Cont ainerBase.java:791)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBas e.java:771)
at org.apache.catalina.core.StandardHost.addChild(StandardHost. java:525)
at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig. java:830)
at org.apache.catalina.startup.HostConfig.deployApps(HostConfig .java:515)
at org.apache.catalina.startup.HostConfig.check(HostConfig.java :1231)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at
org.apache.tomcat.util.modeler.BaseModelMBean.invoke(BaseMod elMBean.java:297)
at com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.invoke (Unknown
Source)
at com.sun.jmx.mbeanserver.JmxMBeanServer.invoke(Unknown Source)
at
org.apache.catalina.manager.ManagerServlet.check(ManagerServ let.java:1471)
at
org.apache.catalina.manager.HTMLManagerServlet.doPost(HTMLMa nagerServlet.java:243)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
at
org.apache.catalina.core.ApplicationFilterChain.internalDoFi lter(ApplicationFilterChain.java:290)
at
org.apache.catalina.core.ApplicationFilterChain.doFilter(App licationFilterChain.java:206)
at
org.apache.catalina.core.StandardWrapperValve.invoke(Standar dWrapperValve.java:233)
at
org.apache.catalina.core.StandardContextValve.invoke(Standar dContextValve.java:191)
at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(A uthenticatorBase.java:525)
at
org.apache.catalina.core.StandardHostValve.invoke(StandardHo stValve.java:128)
at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorRepo rtValve.java:102)
at
org.apache.catalina.core.StandardEngineValve.invoke(Standard EngineValve.java:109)
at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAd apter.java:286)
at
org.apache.coyote.http11.Http11Processor.process(Http11Proce ssor.java:845)
at
org.apache.coyote.http11.Http11Protocol$Http11ConnectionHand ler.process(Http11Protocol.java:583)
at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoin t.java:447)
at java.lang.Thread.run(Unknown Source)

!ENTRY org.eclipse.birt.chart.reportitem 4 0 2009-06-29 16:35:26.486
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved.
Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
bundle-version="[2.1.0,3.0.0)"
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)

!ENTRY org.eclipse.birt.data.aggregation 4 0 2009-06-29 16:35:26.486
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved.
Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
bundle-version="[2.3.0,3.0.0)"
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)

!ENTRY org.eclipse.birt.data 4 0 2009-06-29 16:35:26.486
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved.
Reason: Missing Constraint: Require-Bundle:
org.eclipse.datatools.connectivity.oda.consumer;
bundle-version="[3.1.0,4.0.0)"
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)

!ENTRY org.eclipse.birt.report.data.adapter 4 0 2009-06-29 16:35:26.486
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved.
Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
bundle-version="[2.1.0,3.0.0)"
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)

!ENTRY org.eclipse.birt.report.engine.emitter.html 4 0 2009-06-29
16:35:26.486
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved.
Reason: Missing Constraint: Require-Bundle:
org.eclipse.birt.report.engine; bundle-version="[2.1.0,3.0.0)"
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)

!ENTRY org.eclipse.birt.report.engine 4 0 2009-06-29 16:35:26.486
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved.
Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
bundle-version="[2.1.0,3.0.0)"
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)

!ENTRY org.eclipse.birt.report.item.crosstab.core 4 0 2009-06-29
16:35:26.501
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved.
Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
bundle-version="0.0.0"
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)

!ENTRY org.eclipse.datatools.connectivity.oda.profile 4 0 2009-06-29
16:35:26.673
!MESSAGE
!STACK 0
org.osgi.framework.BundleException: The bundle could not be resolved.
Reason: Missing Constraint: Require-Bundle:
org.eclipse.datatools.connectivity.oda.consumer;
bundle-version="[3.1.0,4.0.0)"
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
at
org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
at
org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
at
org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
at
org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle org.eclipse.birt.api_1.0.0 [22] is not active.

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle
initial@reference :file:plugins/org.eclipse.birt.chart.reportitem_2.3.2.r232_2 0090115.jar/
was not resolved.

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle
initial@reference :file:plugins/org.eclipse.birt.data.aggregation_2.3.2.r232_v 20090211.jar/
was not resolved.

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle
initial@reference :file:plugins/org.eclipse.birt.data_2.3.2.r232_v20090521.jar /
was not resolved.

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle
initial@reference :file:plugins/org.eclipse.birt.report.data.adapter_2.3.2.r23 2_v20090211.jar/
was not resolved.

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle
initial@reference :file:plugins/org.eclipse.birt.report.engine.emitter.html_2. 3.2.r232_v20090521.jar/
was not resolved.

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle
initial@reference :file:plugins/org.eclipse.birt.report.engine_2.3.2.r232_v200 90522.jar/
was not resolved.

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle
initial@reference :file:plugins/org.eclipse.birt.report.item.crosstab.core_2.3 .2.r232_20090202.jar/
was not resolved.

!ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
!MESSAGE Bundle
initial@reference :file:plugins/org.eclipse.datatools.connectivity.oda.profile _3.0.7.v200812050755.jar/
was not resolved.
Re: Deployement of RAP with BIRT [message #138649 is a reply to message #138618] Mon, 29 June 2009 16:02 Go to previous messageGo to next message
Benjamin Muskalla is currently offline Benjamin MuskallaFriend
Messages: 338
Registered: July 2009
Senior Member
Hi Emmanuel,

as far as I can see, there are two problems:
a) you try to start a fragment (org.eclipse.birt.api) - exclude this
from your config.ini
b) some dependencies are missing in your case - eg. org.eclipse.birt.data.

Greets
Ben

Emmanuel Marchal wrote:
> Hi all,
>
> I have integrated some BIRT reports in my application and it looks very
> very good.
>
> But unfortunately I am not able to export my application on Tomcat anymore.
> I have updated my feature project to include all required bundles for
> BIRT and also updated the config.ini
>
> Here follow the errors at deployment.
>
> Thanks for your help
>
> eclipse.buildId=unknown
> java.version=1.6.0_13
> java.vendor=Sun Microsystems Inc.
> BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
> Command-line arguments: -console -consolelog
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:25.845
> !MESSAGE Error starting bundle:
> initial@reference:file:plugins/org.eclipse.birt.api_1.0.0.jar/
> !STACK 0
> org.osgi.framework.BundleException: A fragment bundle cannot be started:
> org.eclipse.birt.api_1.0.0 [22]
> at
> org.eclipse.osgi.framework.internal.core.BundleFragment.star tWorker(BundleFragment.java:228)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:280)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.startBundle( EclipseStarter.java:1128)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.startBundles (EclipseStarter.java:1121)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.loadBasicBun dles(EclipseStarter.java:640)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.startup(Ecli pseStarter.java:301)
>
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
> at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
> at java.lang.reflect.Method.invoke(Unknown Source)
> at
> org.eclipse.equinox.servletbridge.FrameworkLauncher.start(Fr ameworkLauncher.java:288)
>
> at
> org.eclipse.equinox.servletbridge.BridgeServlet.init(BridgeS ervlet.java:65)
> at javax.servlet.GenericServlet.init(GenericServlet.java:212)
> at
> org.apache.catalina.core.StandardWrapper.loadServlet(Standar dWrapper.java:1172)
>
> at
> org.apache.catalina.core.StandardWrapper.load(StandardWrappe r.java:992)
> at
> org.apache.catalina.core.StandardContext.loadOnStartup(Stand ardContext.java:4058)
>
> at
> org.apache.catalina.core.StandardContext.start(StandardConte xt.java:4371)
> at
> org.apache.catalina.core.ContainerBase.addChildInternal(Cont ainerBase.java:791)
>
> at
> org.apache.catalina.core.ContainerBase.addChild(ContainerBas e.java:771)
> at
> org.apache.catalina.core.StandardHost.addChild(StandardHost. java:525)
> at
> org.apache.catalina.startup.HostConfig.deployWAR(HostConfig. java:830)
> at
> org.apache.catalina.startup.HostConfig.deployApps(HostConfig .java:515)
> at org.apache.catalina.startup.HostConfig.check(HostConfig.java :1231)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
> at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
> at java.lang.reflect.Method.invoke(Unknown Source)
> at
> org.apache.tomcat.util.modeler.BaseModelMBean.invoke(BaseMod elMBean.java:297)
>
> at
> com.sun.jmx.interceptor.DefaultMBeanServerInterceptor.invoke (Unknown
> Source)
> at com.sun.jmx.mbeanserver.JmxMBeanServer.invoke(Unknown Source)
> at
> org.apache.catalina.manager.ManagerServlet.check(ManagerServ let.java:1471)
> at
> org.apache.catalina.manager.HTMLManagerServlet.doPost(HTMLMa nagerServlet.java:243)
>
> at javax.servlet.http.HttpServlet.service(HttpServlet.java:637)
> at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
> at
> org.apache.catalina.core.ApplicationFilterChain.internalDoFi lter(ApplicationFilterChain.java:290)
>
> at
> org.apache.catalina.core.ApplicationFilterChain.doFilter(App licationFilterChain.java:206)
>
> at
> org.apache.catalina.core.StandardWrapperValve.invoke(Standar dWrapperValve.java:233)
>
> at
> org.apache.catalina.core.StandardContextValve.invoke(Standar dContextValve.java:191)
>
> at
> org.apache.catalina.authenticator.AuthenticatorBase.invoke(A uthenticatorBase.java:525)
>
> at
> org.apache.catalina.core.StandardHostValve.invoke(StandardHo stValve.java:128)
>
> at
> org.apache.catalina.valves.ErrorReportValve.invoke(ErrorRepo rtValve.java:102)
>
> at
> org.apache.catalina.core.StandardEngineValve.invoke(Standard EngineValve.java:109)
>
> at
> org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAd apter.java:286)
> at
> org.apache.coyote.http11.Http11Processor.process(Http11Proce ssor.java:845)
> at
> org.apache.coyote.http11.Http11Protocol$Http11ConnectionHand ler.process(Http11Protocol.java:583)
>
> at
> org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoin t.java:447)
> at java.lang.Thread.run(Unknown Source)
>
> !ENTRY org.eclipse.birt.chart.reportitem 4 0 2009-06-29 16:35:26.486
> !MESSAGE !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
> bundle-version="[2.1.0,3.0.0)"
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
>
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)
>
>
> !ENTRY org.eclipse.birt.data.aggregation 4 0 2009-06-29 16:35:26.486
> !MESSAGE !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
> bundle-version="[2.3.0,3.0.0)"
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
>
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)
>
>
> !ENTRY org.eclipse.birt.data 4 0 2009-06-29 16:35:26.486
> !MESSAGE !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle:
> org.eclipse.datatools.connectivity.oda.consumer;
> bundle-version="[3.1.0,4.0.0)"
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
>
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)
>
>
> !ENTRY org.eclipse.birt.report.data.adapter 4 0 2009-06-29 16:35:26.486
> !MESSAGE !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
> bundle-version="[2.1.0,3.0.0)"
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
>
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)
>
>
> !ENTRY org.eclipse.birt.report.engine.emitter.html 4 0 2009-06-29
> 16:35:26.486
> !MESSAGE !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle:
> org.eclipse.birt.report.engine; bundle-version="[2.1.0,3.0.0)"
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
>
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)
>
>
> !ENTRY org.eclipse.birt.report.engine 4 0 2009-06-29 16:35:26.486
> !MESSAGE !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
> bundle-version="[2.1.0,3.0.0)"
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
>
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)
>
>
> !ENTRY org.eclipse.birt.report.item.crosstab.core 4 0 2009-06-29
> 16:35:26.501
> !MESSAGE !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle: org.eclipse.birt.data;
> bundle-version="0.0.0"
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
>
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)
>
>
> !ENTRY org.eclipse.datatools.connectivity.oda.profile 4 0 2009-06-29
> 16:35:26.673
> !MESSAGE !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle:
> org.eclipse.datatools.connectivity.oda.consumer;
> bundle-version="[3.1.0,4.0.0)"
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolverError(AbstractBundle.java:1313)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.getR esolutionFailureException(AbstractBundle.java:1297)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:309)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resu me(AbstractBundle.java:370)
>
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBun dle(Framework.java:1068)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.r esumeBundles(StartLevelManager.java:557)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.i ncFWSL(StartLevelManager.java:464)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d oSetStartLevel(StartLevelManager.java:248)
>
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.d ispatchEvent(StartLevelManager.java:445)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEve nt(EventManager.java:220)
>
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread .run(EventManager.java:330)
>
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle org.eclipse.birt.api_1.0.0 [22] is not active.
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle
> initial@reference :file:plugins/org.eclipse.birt.chart.reportitem_2.3.2.r232_2 0090115.jar/
> was not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle
> initial@reference :file:plugins/org.eclipse.birt.data.aggregation_2.3.2.r232_v 20090211.jar/
> was not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle
> initial@reference :file:plugins/org.eclipse.birt.data_2.3.2.r232_v20090521.jar /
> was not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle
> initial@reference :file:plugins/org.eclipse.birt.report.data.adapter_2.3.2.r23 2_v20090211.jar/
> was not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle
> initial@reference :file:plugins/org.eclipse.birt.report.engine.emitter.html_2. 3.2.r232_v20090521.jar/
> was not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle
> initial@reference :file:plugins/org.eclipse.birt.report.engine_2.3.2.r232_v200 90522.jar/
> was not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle
> initial@reference :file:plugins/org.eclipse.birt.report.item.crosstab.core_2.3 .2.r232_20090202.jar/
> was not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2009-06-29 16:35:27.595
> !MESSAGE Bundle
> initial@reference :file:plugins/org.eclipse.datatools.connectivity.oda.profile _3.0.7.v200812050755.jar/
> was not resolved.
>
>


--
Benjamin Muskalla | EclipseSource Karlsruhe
http://www.eclipsesource.com | http://twitter.com/eclipsesource
Re: Deployement of RAP with BIRT [message #138729 is a reply to message #138649] Tue, 30 June 2009 07:32 Go to previous messageGo to next message
Emmanuel Marchal is currently offline Emmanuel MarchalFriend
Messages: 59
Registered: July 2009
Member
Hi Ben,

Ok for the first point.
About the required bundle, it is not missing. I have the following bundle
org.eclipse.birt.data_2.3.2.r232_v20090521.jar
the name and the version seem to be correct.

Thanks
Re: Deployement of RAP with BIRT [message #138741 is a reply to message #138729] Tue, 30 June 2009 07:55 Go to previous message
Emmanuel Marchal is currently offline Emmanuel MarchalFriend
Messages: 59
Registered: July 2009
Member
Ok, another bundle (org.eclipse.datatools.connectivity.oda.consumer) was
missing. It was required for birt.data.

Thanks
Previous Topic:JFace resources in provided rap target-platform
Next Topic:deploying RAP: new tutorial?
Goto Forum:
  


Current Time: Wed Dec 08 14:02:26 GMT 2021

Powered by FUDForum. Page generated in 0.02063 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top